Function
streamFlush
Flush the underlying stream.
streamFlush(stream)
Include Headers
seqan/stream.h
Parameters

stream | The stream object to flush. Types: StreamConcept

Remarks
If the stream is of type BZ2 File Stream then this function does nothing.
If the stream is of type GZ File Stream then this function calls gzflush() with Z_SYNC_FLUSH. Note that many flush calls to such compressed streams reduce the compression rate.
Return Values
int with an error code, 0 on success.
Part of Concept
StreamConcept
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:59